package ctbrec.recorder.postprocessing;

import java.io.IOException;
import java.io.Serializable;
import java.util.Map;

import ctbrec.Config;
import ctbrec.Recording;
import ctbrec.recorder.RecordingManager;

public interface PostProcessor extends Serializable {
    String getName();

    void postprocess(Recording rec, RecordingManager recordingManager, Config config) throws IOException, InterruptedException;

    Map<String, String> getConfig();
    void setConfig(Map<String, String> conf);
}
